<?php
	
	namespace Infocob\CRM\Products\Admin\Classes;
	
	use Infocob\CRM\Products\Admin\Controllers\ImportProducts;
	
	if (!defined('ABSPATH') && !is_admin()) {
		die();
	}
	
	class CRON {
		public static $import_product_hook = "icp_cron_import_products";
		
		public static function schedule(int $post_id, string $recurrence, string $hook = "icp_cron_import_products") {
			$api_cron_recurrences = wp_get_schedules();
			$next_execution = time();
			if(isset($api_cron_recurrences[$recurrence]["interval"])) {
				$next_execution = $next_execution + $api_cron_recurrences[$recurrence]["interval"];
			}
			
			$cron_scheduled_timestamp = wp_next_scheduled($hook, [$post_id]);
			// and cron scheduled, unschedule the previous and re-schedule
			if($cron_scheduled_timestamp !== false) {
				wp_unschedule_event($cron_scheduled_timestamp, $hook, [$post_id]);
				wp_schedule_event($next_execution, $recurrence, $hook, [$post_id]);
			} else {
				wp_schedule_event($next_execution, $recurrence, $hook, [$post_id]);
			}
			
			update_post_meta($post_id, "api-cron-enable", true);
		}
		
		public static function unschedule(int $post_id, string $hook = "icp_cron_import_products") {
			$cron_scheduled_timestamp = wp_next_scheduled($hook, [$post_id]);
			if($cron_scheduled_timestamp !== false) {
				wp_unschedule_event($cron_scheduled_timestamp, $hook, [$post_id]);
				update_post_meta($post_id, "api-cron-enable", false);
			}
		}
		
		public static function importProducts(int $post_id) {
			$import = new ImportProducts($post_id);
			$import->start();
		}
		
	}
