<?php
	
	namespace Infocob\CRM\Products\Admin\Classes\Infocob\Entities;
	
	use Infocob\CRM\Products\Admin\Classes\Infocob\Entity;
	
	if(!defined('ABSPATH') && !is_admin()) {
		die();
	}
	
	class CloudFichierEntity extends Entity {
		
		public static $champsDefinitions = [
			"FC_CODE"             => [
				"ID"     => true,
				"type"   => "string",
				"length" => 20,
			],
			"FC_DATECREATION"     => [
				"type"   => "datetime",
				"length" => false,
			],
			"FC_DATEMODIF"        => [
				"type"   => "datetime",
				"length" => false,
			],
			"FC_CODESOCIETE"      => [
				"type"   => "string",
				"length" => 5,
			],
			"FC_INDEXTABLE"       => [
				"type"   => "int",
				"length" => false,
			],
			"FC_CODEMAITRE"       => [
				"type"   => "string",
				"length" => 20,
			],
			"FC_DROIT"            => [
				"type"   => "lob",
				"length" => false,
			],
			"FC_CODEMULTISOCIETE" => [
				"type"   => "string",
				"length" => 20,
			],
			"FC_CODEVENDEUR"      => [
				"type"   => "string",
				"length" => 20,
			],
			"FC_NOMFICHIER"       => [
				"type"   => "lob",
				"length" => false,
			],
			"FC_DESCIPTION"       => [
				"type"   => "lob",
				"length" => false,
			],
			"FC_URL"              => [
				"type"   => "lob",
				"length" => false,
			],
			"FC_REPERTOIRE"       => [
				"type"   => "lob",
				"length" => false,
			],
			"FC_PARAM"            => [
				"type"   => "lob",
				"length" => false,
			],
			"FC_ICONE"            => [
				"type"   => "int",
				"length" => false,
			],
			"FC_INDEXCLOUD"       => [
				"type"   => "int",
				"length" => false,
			],
			"FC_PUBLIC"           => [
				"type"   => "boolean",
				"length" => 1,
			],
			"FC_LIEA"             => [
				"type"   => "string",
				"length" => 20,
			],
			"FC_EXPORT"           => [
				"type"   => "boolean",
				"length" => 1,
			],
			"FC_CODEIMPORT"       => [
				"type"   => "string",
				"length" => 20,
			],
			"FC_LATITUDE"         => [
				"type"   => "lob",
				"length" => false,
			],
			"FC_LONGITUDE"        => [
				"type"   => "lob",
				"length" => false,
			],
			"FC_TRAITE"           => [
				"type"   => "int",
				"length" => false,
			],
			"FC_LIESOCIETE"       => [
				"type"   => "string",
				"length" => 20,
			],
			"FC_CONFIG"           => [
				"type"   => "string",
				"length" => 40,
			],
			"FC_NOMCONFIG"        => [
				"type"   => "string",
				"length" => 50,
			],
			"FC_DATEUPLOAD"       => [
				"type"   => "datetime",
				"length" => false,
			],
			"FC_DATEDOWNLOAD"     => [
				"type"   => "datetime",
				"length" => false,
			],
			"FC_URLPUBLIC"        => [
				"type"   => "lob",
				"length" => false,
			],
			"FC_INFOLIBRE1"       => [
				"type"   => "lob",
				"length" => 50,
			],
			"FC_INFOLIBRE2"       => [
				"type"   => "lob",
				"length" => 50,
			],
			"FC_PRIVE"            => [
				"type"   => "boolean",
				"length" => 1,
			],
			"FC_LIENFICHE"        => [
				"type"   => "boolean",
				"length" => 1,
			],
			"FC_TAILLE"           => [
				"type"   => "int",
				"length" => false,
			],
			"FC_EXTENSION"        => [
				"type"   => "lob",
				"length" => false,
			],
			"FC_ICONEEXTENSION"   => [
				"type"   => "lob",
				"length" => false,
			],
			"FC_CRYPTE"           => [
				"type"   => "boolean",
				"length" => 1,
			],
			"FC_INDEXCRYPTAGE"    => [
				"type"   => "lob",
				"length" => false,
			],
		
		];
		
		public static $tableName = "CLOUDFICHIER";
		public static $tableCode = 0;
		public static $champPrincipalKey = "FC_CODE";
		public static $champDroitKey = "FC_DROIT";
	}
