<?php
	
	namespace Infocob\CRM\Products\Admin\Classes\Infocob\Entities;
	
	use Infocob\CRM\Products\Admin\Classes\Infocob\Entity;
	
	if(!defined('ABSPATH') && !is_admin()) {
		die();
	}
	
	class InventaireProduitEntity extends Entity {
		
		public static $champsDefinitions = array(
			"IP_CODE"               => array(
				"ID"     => true,
				"type"   => "string",
				"length" => 20,
			),
			"IP_COMPTEUR"           => array(
				"type"   => "int",
				"length" => false,
			),
			"IP_CODESOCIETE"        => array(
				"type"   => "string",
				"length" => 5,
			),
			"IP_CODEPRODUIT"        => array(
				"type"   => "string",
				"length" => 20,
			),
			"IP_COMMENTAIRE"        => array(
				"type"   => "string",
				"length" => 80,
			),
			"IP_CODE_TYPE"          => array(
				"type"   => "string",
				"length" => 20,
			),
			"IP_DATEMODIF"          => array(
				"type"   => "datetime",
				"length" => false,
			),
			"IP_DATECREATION"       => array(
				"type"   => "datetime",
				"length" => false,
			),
			"IP_PRIX"               => array(
				"type"   => "decimal",
				"length" => false,
			),
			"IP_QUANTITE"           => array(
				"type"   => "decimal",
				"length" => false,
			),
			"IP_MONNAIE"            => array(
				"type"   => "string",
				"length" => 20,
			),
			"IP_TYPEPARENT"         => array(
				"type"   => "int",
				"length" => false,
			),
			"IP_EXPORT"             => array(
				"type"   => "boolean",
				"length" => 1,
			),
			"IP_CODEIMPORT"         => array(
				"type"   => "string",
				"length" => 20,
			),
			"IP_CODEMAITREIMPORT"   => array(
				"type"   => "string",
				"length" => 20,
			),
			"IP_NOMTYPE"            => array(
				"type"   => "string",
				"length" => 50,
			),
			"IP_CODETYPEIMPORT"     => array(
				"type"   => "string",
				"length" => 20,
			),
			"IP_NOMFAMILLE"         => array(
				"type"   => "string",
				"length" => 50,
			),
			"IP_CODEFAMILLEIMPORT"  => array(
				"type"   => "string",
				"length" => 20,
			),
			"IP_NBRLIBRE1"          => array(
				"type"   => "decimal",
				"length" => false,
			),
			"IP_NBRLIBRE2"          => array(
				"type"   => "decimal",
				"length" => false,
			),
			"IP_NBRLIBRE3"          => array(
				"type"   => "decimal",
				"length" => false,
			),
			"IP_BOOLLIBRE1"         => array(
				"type"   => "boolean",
				"length" => 1,
			),
			"IP_BOOLLIBRE2"         => array(
				"type"   => "boolean",
				"length" => 1,
			),
			"IP_INFOLIBRE1"         => array(
				"type"   => "string",
				"length" => 80,
			),
			"IP_INFOLIBRE2"         => array(
				"type"   => "string",
				"length" => 80,
			),
			"IP_LIGNE"              => array(
				"type"   => "int",
				"length" => false,
			),
			"IP_LATITUDE"           => array(
				"type"   => "decimal",
				"length" => false,
			),
			"IP_LONGITUDE"          => array(
				"type"   => "decimal",
				"length" => false,
			),
			"IP_CP"                 => array(
				"type"   => "string",
				"length" => 10,
			),
			"IP_VILLE"              => array(
				"type"   => "string",
				"length" => 30,
			),
			"IP_ADRESSE"            => array(
				"type"   => "string",
				"length" => 30,
			),
			"IP_ADRESSE2"           => array(
				"type"   => "string",
				"length" => 38,
			),
			"IP_ADRESSE3"           => array(
				"type"   => "string",
				"length" => 38,
			),
			"IP_ADRESSE4"           => array(
				"type"   => "string",
				"length" => 38,
			),
			"IP_ADRESSE5"           => array(
				"type"   => "string",
				"length" => 38,
			),
			"IP_ADRESSE6"           => array(
				"type"   => "string",
				"length" => 38,
			),
			"IP_PAYS"               => array(
				"type"   => "string",
				"length" => 30,
			),
			"IP_LOCALISATION"       => array(
				"type"   => "string",
				"length" => 255,
			),
			"IP_INDEX_ICONE"        => array(
				"type"   => "int",
				"length" => false,
			),
			"IP_COM_FR"             => array(
				"type"   => "lob",
				"length" => false,
			),
			"IP_COM_ALL"            => array(
				"type"   => "lob",
				"length" => false,
			),
			"IP_COM_ES"             => array(
				"type"   => "lob",
				"length" => false,
			),
			"IP_COM_IT"             => array(
				"type"   => "lob",
				"length" => false,
			),
			"IP_COM_US"             => array(
				"type"   => "lob",
				"length" => false,
			),
			"IP_NBRLIBRE4"          => array(
				"type"   => "decimal",
				"length" => false,
			),
			"IP_NBRLIBRE5"          => array(
				"type"   => "decimal",
				"length" => false,
			),
			"IP_NBRLIBRE6"          => array(
				"type"   => "decimal",
				"length" => false,
			),
			"IP_NBRLIBRE7"          => array(
				"type"   => "decimal",
				"length" => false,
			),
			"IP_NBRLIBRE8"          => array(
				"type"   => "decimal",
				"length" => false,
			),
			"IP_NBRLIBRE9"          => array(
				"type"   => "decimal",
				"length" => false,
			),
			"IP_NBRLIBRE10"         => array(
				"type"   => "decimal",
				"length" => false,
			),
			"IP_NBRLIBRE11"         => array(
				"type"   => "decimal",
				"length" => false,
			),
			"IP_NBRLIBRE12"         => array(
				"type"   => "decimal",
				"length" => false,
			),
			"IP_NBRLIBRE13"         => array(
				"type"   => "decimal",
				"length" => false,
			),
			"IP_NBRLIBRE14"         => array(
				"type"   => "decimal",
				"length" => false,
			),
			"IP_NBRLIBRE15"         => array(
				"type"   => "decimal",
				"length" => false,
			),
			"IP_NBRLIBRE16"         => array(
				"type"   => "decimal",
				"length" => false,
			),
			"IP_NBRLIBRE17"         => array(
				"type"   => "decimal",
				"length" => false,
			),
			"IP_NBRLIBRE18"         => array(
				"type"   => "decimal",
				"length" => false,
			),
			"IP_NBRLIBRE19"         => array(
				"type"   => "decimal",
				"length" => false,
			),
			"IP_NBRLIBRE20"         => array(
				"type"   => "decimal",
				"length" => false,
			),
			"IP_NBRLIBRE21"         => array(
				"type"   => "decimal",
				"length" => false,
			),
			"IP_NBRLIBRE22"         => array(
				"type"   => "decimal",
				"length" => false,
			),
			"IP_NBRLIBRE23"         => array(
				"type"   => "decimal",
				"length" => false,
			),
			"IP_NBRLIBRE24"         => array(
				"type"   => "decimal",
				"length" => false,
			),
			"IP_NBRLIBRE25"         => array(
				"type"   => "decimal",
				"length" => false,
			),
			"IP_NBRLIBRE26"         => array(
				"type"   => "decimal",
				"length" => false,
			),
			"IP_NBRLIBRE27"         => array(
				"type"   => "decimal",
				"length" => false,
			),
			"IP_NBRLIBRE28"         => array(
				"type"   => "decimal",
				"length" => false,
			),
			"IP_NBRLIBRE29"         => array(
				"type"   => "decimal",
				"length" => false,
			),
			"IP_NBRLIBRE30"         => array(
				"type"   => "decimal",
				"length" => false,
			),
			"IP_NBRLIBRE31"         => array(
				"type"   => "decimal",
				"length" => false,
			),
			"IP_NBRLIBRE32"         => array(
				"type"   => "decimal",
				"length" => false,
			),
			"IP_NBRLIBRE33"         => array(
				"type"   => "decimal",
				"length" => false,
			),
			"IP_NBRLIBRE34"         => array(
				"type"   => "decimal",
				"length" => false,
			),
			"IP_NBRLIBRE35"         => array(
				"type"   => "decimal",
				"length" => false,
			),
			"IP_NBRLIBRE36"         => array(
				"type"   => "decimal",
				"length" => false,
			),
			"IP_NBRLIBRE37"         => array(
				"type"   => "decimal",
				"length" => false,
			),
			"IP_NBRLIBRE38"         => array(
				"type"   => "decimal",
				"length" => false,
			),
			"IP_NBRLIBRE39"         => array(
				"type"   => "decimal",
				"length" => false,
			),
			"IP_NBRLIBRE40"         => array(
				"type"   => "decimal",
				"length" => false,
			),
			"IP_NBRLIBRE41"         => array(
				"type"   => "decimal",
				"length" => false,
			),
			"IP_NBRLIBRE42"         => array(
				"type"   => "decimal",
				"length" => false,
			),
			"IP_NBRLIBRE43"         => array(
				"type"   => "decimal",
				"length" => false,
			),
			"IP_NBRLIBRE44"         => array(
				"type"   => "decimal",
				"length" => false,
			),
			"IP_NBRLIBRE45"         => array(
				"type"   => "decimal",
				"length" => false,
			),
			"IP_NBRLIBRE46"         => array(
				"type"   => "decimal",
				"length" => false,
			),
			"IP_NBRLIBRE47"         => array(
				"type"   => "decimal",
				"length" => false,
			),
			"IP_NBRLIBRE48"         => array(
				"type"   => "decimal",
				"length" => false,
			),
			"IP_NBRLIBRE49"         => array(
				"type"   => "decimal",
				"length" => false,
			),
			"IP_NBRLIBRE50"         => array(
				"type"   => "decimal",
				"length" => false,
			),
			"IP_BOOLLIBRE3"         => array(
				"type"   => "boolean",
				"length" => 1,
			),
			"IP_BOOLLIBRE4"         => array(
				"type"   => "boolean",
				"length" => 1,
			),
			"IP_BOOLLIBRE5"         => array(
				"type"   => "boolean",
				"length" => 1,
			),
			"IP_BOOLLIBRE6"         => array(
				"type"   => "boolean",
				"length" => 1,
			),
			"IP_BOOLLIBRE7"         => array(
				"type"   => "boolean",
				"length" => 1,
			),
			"IP_BOOLLIBRE8"         => array(
				"type"   => "boolean",
				"length" => 1,
			),
			"IP_BOOLLIBRE9"         => array(
				"type"   => "boolean",
				"length" => 1,
			),
			"IP_BOOLLIBRE10"        => array(
				"type"   => "boolean",
				"length" => 1,
			),
			"IP_BOOLLIBRE11"        => array(
				"type"   => "boolean",
				"length" => 1,
			),
			"IP_BOOLLIBRE12"        => array(
				"type"   => "boolean",
				"length" => 1,
			),
			"IP_BOOLLIBRE13"        => array(
				"type"   => "boolean",
				"length" => 1,
			),
			"IP_BOOLLIBRE14"        => array(
				"type"   => "boolean",
				"length" => 1,
			),
			"IP_BOOLLIBRE15"        => array(
				"type"   => "boolean",
				"length" => 1,
			),
			"IP_BOOLLIBRE16"        => array(
				"type"   => "boolean",
				"length" => 1,
			),
			"IP_BOOLLIBRE17"        => array(
				"type"   => "boolean",
				"length" => 1,
			),
			"IP_BOOLLIBRE18"        => array(
				"type"   => "boolean",
				"length" => 1,
			),
			"IP_BOOLLIBRE19"        => array(
				"type"   => "boolean",
				"length" => 1,
			),
			"IP_BOOLLIBRE20"        => array(
				"type"   => "boolean",
				"length" => 1,
			),
			"IP_DATELIBRE1"         => array(
				"type"   => "datetime",
				"length" => false,
			),
			"IP_DATELIBRE2"         => array(
				"type"   => "datetime",
				"length" => false,
			),
			"IP_DATELIBRE3"         => array(
				"type"   => "datetime",
				"length" => false,
			),
			"IP_DATELIBRE4"         => array(
				"type"   => "datetime",
				"length" => false,
			),
			"IP_DATELIBRE5"         => array(
				"type"   => "datetime",
				"length" => false,
			),
			"IP_DATELIBRE6"         => array(
				"type"   => "datetime",
				"length" => false,
			),
			"IP_DATELIBRE7"         => array(
				"type"   => "datetime",
				"length" => false,
			),
			"IP_DATELIBRE8"         => array(
				"type"   => "datetime",
				"length" => false,
			),
			"IP_DATELIBRE9"         => array(
				"type"   => "datetime",
				"length" => false,
			),
			"IP_DATELIBRE10"        => array(
				"type"   => "datetime",
				"length" => false,
			),
			"IP_DATELIBRE11"        => array(
				"type"   => "datetime",
				"length" => false,
			),
			"IP_DATELIBRE12"        => array(
				"type"   => "datetime",
				"length" => false,
			),
			"IP_DATELIBRE13"        => array(
				"type"   => "datetime",
				"length" => false,
			),
			"IP_DATELIBRE14"        => array(
				"type"   => "datetime",
				"length" => false,
			),
			"IP_DATELIBRE15"        => array(
				"type"   => "datetime",
				"length" => false,
			),
			"IP_DATELIBRE16"        => array(
				"type"   => "datetime",
				"length" => false,
			),
			"IP_DATELIBRE17"        => array(
				"type"   => "datetime",
				"length" => false,
			),
			"IP_DATELIBRE18"        => array(
				"type"   => "datetime",
				"length" => false,
			),
			"IP_DATELIBRE19"        => array(
				"type"   => "datetime",
				"length" => false,
			),
			"IP_DATELIBRE20"        => array(
				"type"   => "datetime",
				"length" => false,
			),
			"IP_INFOLIBRE3"         => array(
				"type"   => "string",
				"length" => 80,
			),
			"IP_INFOLIBRE4"         => array(
				"type"   => "string",
				"length" => 80,
			),
			"IP_INFOLIBRE5"         => array(
				"type"   => "string",
				"length" => 80,
			),
			"IP_INFOLIBRE6"         => array(
				"type"   => "string",
				"length" => 80,
			),
			"IP_INFOLIBRE7"         => array(
				"type"   => "string",
				"length" => 80,
			),
			"IP_INFOLIBRE8"         => array(
				"type"   => "string",
				"length" => 80,
			),
			"IP_INFOLIBRE9"         => array(
				"type"   => "string",
				"length" => 80,
			),
			"IP_INFOLIBRE10"        => array(
				"type"   => "string",
				"length" => 80,
			),
			"IP_INFOLIBRE11"        => array(
				"type"   => "string",
				"length" => 80,
			),
			"IP_INFOLIBRE12"        => array(
				"type"   => "string",
				"length" => 80,
			),
			"IP_INFOLIBRE13"        => array(
				"type"   => "string",
				"length" => 80,
			),
			"IP_INFOLIBRE14"        => array(
				"type"   => "string",
				"length" => 80,
			),
			"IP_INFOLIBRE15"        => array(
				"type"   => "string",
				"length" => 80,
			),
			"IP_INFOLIBRE16"        => array(
				"type"   => "string",
				"length" => 80,
			),
			"IP_INFOLIBRE17"        => array(
				"type"   => "string",
				"length" => 80,
			),
			"IP_INFOLIBRE18"        => array(
				"type"   => "string",
				"length" => 80,
			),
			"IP_INFOLIBRE19"        => array(
				"type"   => "string",
				"length" => 80,
			),
			"IP_INFOLIBRE20"        => array(
				"type"   => "string",
				"length" => 80,
			),
			"IP_CODEAFFAIRE"        => array(
				"type"   => "string",
				"length" => 20,
			),
			"IP_CODECONTACT"        => array(
				"type"   => "string",
				"length" => 20,
			),
			"IP_CODEINTERLOCUTEUR"  => array(
				"type"   => "string",
				"length" => 20,
			),
			"IP_CODEACTION"         => array(
				"type"   => "string",
				"length" => 20,
			),
			"IP_CODETYPEINVENTAIRE" => array(
				"type"   => "string",
				"length" => 20,
			),
			"IP_CODEVENDEUR"        => array(
				"type"   => "string",
				"length" => 20,
			),
			"IP_CODEPRODUITFILS"    => array(
				"type"   => "string",
				"length" => 20,
			),
			"IP_DROIT"              => array(
				"type"   => "string",
				"length" => 100,
			),
			"IP_LIEA"               => array(
				"type"   => "string",
				"length" => 20,
			),
			"IP_LIESOCIETE"         => array(
				"type"   => "string",
				"length" => 20,
			),
			"CONSTRAINT"            => array(
				"type"   => "lob",
				"length" => false,
			),
		
		);
		
		public static $tableName = "INVENTAIREPRODUIT";
		public static $tableCode = 7;
		public static $champPrincipalKey = "IP_CODE";
		public static $champDroitKey = "IP_DROIT";
	}
