<?php
	
	namespace Infocob\CRM\Products\Admin\Classes\Infocob\Tools;
	
	if(!defined('ABSPATH') && !is_admin()) {
		die();
	}
	
	class Encoding {
		
		public static function IsUTF8($var) {
			if(is_string($var)) {
				return (mb_detect_encoding($var, 'UTF-8', true) == 'UTF-8');
			} elseif(is_array($var)) {
				foreach($var as $v) {
					return self::IsUTF8($v);
				}
			}
			
			return - 1;
		}
		
		public static function UTF8($var) {
			if(is_string($var)) {
				if(!mb_detect_encoding($var, 'utf-8', true)) {
					return utf8_encode(self::CaracteresToChange($var));
				}
			} elseif(is_array($var)) {
				array_walk_recursive($var, function(&$item, $key) {
					if(!mb_detect_encoding($item, 'utf-8', true)) {
						$item = utf8_encode(Encoding::CaracteresToChange($item));
					}
				});
				
				return $var;
			}
			
			return $var;
		}
		
		public static function CaracteresToChange($string) {
			$string = str_replace(chr(128), "euros", $string);
			$string = str_replace(chr(146), "'", $string);
			
			return str_replace(chr(146), "'", $string);
		}
		
		public static function ISO($var) {
			if(is_string($var)) {
				if(mb_detect_encoding($var, 'utf-8', true)) {
					return utf8_decode(self::CaracteresToChange($var));
				}
			} elseif(is_array($var)) {
				array_walk_recursive($var, function(&$item, $key) {
					if(mb_detect_encoding($item, 'utf-8', true)) {
						$item = utf8_decode(Encoding::CaracteresToChange($item));
					}
				});
				
				return $var;
			}
			
			return $var;
		}
		
	}
